---
title: '::-webkit-progress-inner-element'
slug: 'Web/CSS/::-webkit-progress-inner-element'
tags:
  - CSS
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>::-webkit-progress-inner-element</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> represents the outermost container of the {{HTMLElement("progress")}} element. It is the parent of the {{cssxref("::-webkit-progress-bar")}} pseudo-element.</p>

<div class="note">
<p><strong>Note:</strong> In order to let <code>::-webkit-progress-value</code> take effect, {{cssxref("-webkit-appearance")}} needs to be set to <code>none</code> on the <code>&lt;progress&gt;</code> element.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">::-webkit-progress-inner-element</pre>

<h2 id="Examples">Examples</h2>

<p>These examples work only on Blink and WebKit.</p>

<h3 id="Adding_a_black_border_around_the_progress_bar">Adding a black border around the progress bar</h3>

<p>In this example, a 2px black border is added around the progress bar.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;progress value="10" max="50"&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">progress {
  -webkit-appearance: none;
}

::-webkit-progress-inner-element {
  border: 2px solid black;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Adding_a_black_border_around_the_progress_bar", 200, 50)}}</p>

<h4 id="Result_screenshot">Result screenshot</h4>

<p>If you're not using a Blink or WebKit browsear, the above code resuls in a progress bar looking like this:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13492/-webkit-progress-inner-element%20example.png"></p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-progress-inner-element")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The pseudo-elements used by WebKit/Blink to style other parts of a {{HTMLElement("progress")}} element:
  <ul>
   <li>{{cssxref("::-webkit-progress-bar")}}</li>
   <li>{{cssxref("::-webkit-progress-value")}}</li>
  </ul>
 </li>
 <li>{{cssxref("::-moz-progress-bar")}}</li>
 <li>{{cssxref("::-ms-fill")}}</li>
</ul>
